Bug 189355 - cfmakeraw - is it int or void?
cfmakeraw - is it int or void?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-19 10:20 EDT by Nigel Horne
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: man-pages-2.29-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 10:44:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nigel Horne 2006-04-19 10:20:51 EDT
Description of problem:

cfmakeraw() returns int according to man 3 cfmakeraw, but is void according to
/usr/include/termios.h

Version-Release number of selected component (if applicable):
glibc-devel-2.3.6-3

How reproducible:
Every time

Steps to Reproduce:
1. man cfmakeraw
2. fgrep cfmakeraw /usr/include/termios.h
3.
  
Actual results:
Different return values
Expected results:
Same return values

Additional info:
Comment 1 Jakub Jelinek 2006-04-19 10:30:26 EDT
It is void and info libc documents it that way:
 -- Function: void cfmakeraw (struct termios *TERMIOS-P)
     This function provides an easy way to set up `*TERMIOS-P' for what
     has traditionally been called "raw mode" in BSD.  This uses
     noncanonical input, and turns off most processing to give an
     unmodified channel to the terminal.

     It does exactly this:
            TERMIOS-P->c_iflag &= ~(IGNBRK|BRKINT|PARMRK|ISTRIP
                                          |INLCR|IGNCR|ICRNL|IXON);
            TERMIOS-P->c_oflag &= ~OPOST;
            TERMIOS-P->c_lflag &= ~(ECHO|ECHONL|ICANON|ISIG|IEXTEN);
            TERMIOS-P->c_cflag &= ~(CSIZE|PARENB);
            TERMIOS-P->c_cflag |= CS8;
Just the man page is buggy.
Comment 2 Ivana Varekova 2006-04-19 10:44:31 EDT
This bug is fixed in the last version of man-pages (man-pages-2.29-1).
Comment 3 Nigel Horne 2006-04-19 10:49:15 EDT
Untrue: the latest version is man-pages-1.67-8. Yum upgrade shows no newer version.
Comment 4 Ivana Varekova 2006-04-20 06:40:11 EDT
man-pages-2.29-1 is in devel branch. 

Note You need to log in before you can comment on or make changes to this bug.